# $Revision: 1.24.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Netscape
%define	pnam	Cache
Summary:	Netscape::Cache Perl module
Summary(cs):	Modul Netscape::Cache pro Perl
Summary(da):	Perlmodul Netscape::Cache
Summary(de):	Netscape::Cache Perl Modul
Summary(es):	Mdulo de Perl Netscape::Cache
Summary(fr):	Module Perl Netscape::Cache
Summary(it):	Modulo di Perl Netscape::Cache
Summary(ja):	Netscape::Cache Perl ⥸塼
Summary(ko):	Netscape::Cache  
Summary(no):	Perlmodul Netscape::Cache
Summary(pl):	Modu Perla Netscape::Cache
Summary(pt):	Mdulo de Perl Netscape::Cache
Summary(pt_BR):	Mdulo Perl Netscape::Cache
Summary(ru):	  Perl Netscape::Cache
Summary(sv):	Netscape::Cache Perlmodul
Summary(uk):	  Perl Netscape::Cache
Summary(zh_CN):	Netscape::Cache Perl ģ
Name:		perl-Netscape-Cache
Version:	0.45
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
%if %{!?_with_tests:0}%{?_with_tests:1}
BuildRequires:	db1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netscape::Cache - module for accessing Netscape cache files.

%description -l pl
Netscape::Cache umoliwia dostp do cache'a Nestscape'a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -f examples/*~
rm -f examples/*.orig
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Netscape/Cache.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/nscache
%{_examplesdir}/%{name}-%{version}/[Rbc]*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Netscape-Cache.spec,v $
Revision 1.24.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.24.2.1  2003/03/13 00:58:23  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:37:26  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/10/05 11:38:57  ankry
- cleaning, translations, fixed examples, new %%doc
- added tests (disabled)
- updated 0.45

Revision 1.21  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:13  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:31:30  depesz
adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:13:53  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/19 06:53:47  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.10  2001/01/13 01:20:57  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.9  2000/07/17 00:07:37  kloczek
- release 2.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:42  pius
- updated to 0.44

Revision 1.2  1999/11/05 23:57:53  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
